<?php
/**
 * @version        Somao_Search X1.0 9:23 2012-1-1 Somao $
 * @package        Somao_Search.Site
 * @copyright      Copyright (c) 2009 - 2012, Somao, Inc.
 * @license        http://www.somao123.com/
 * @link           http://www.somao.cc/
**/
require "global.php";
CheckPurview('card_type',$authoritys,$rank);
$class_id=intval($_GET["class_id"]);
$dopost=HtmlReplace(trim($_POST["dopost"]));
$num_new=$_POST["num_new"];
$pname_new=$_POST["pname_new"];
$money_new=$_POST["money_new"];
$check_new=$_POST["check_new"];
//保存更改
if($dopost=="save")
{
    $startID = 1;
    $endID = $_POST["idend"];
    for(;$startID<=$endID;$startID++)
    {
        $query = '';
        $tid = 'ID_'.$startID;
        $pname = 'pname_'.$startID;
        $money = 'money_'.$startID;
        $num = 'num_'.$startID;
		$check = 'check_'.$startID;
		
		$tid=HtmlReplace(trim($_POST["".$tid.""]));
		$pname=HtmlReplace(trim($_POST["".$pname.""]));
		$money=HtmlReplace(trim($_POST["".$money.""]));
		$num=HtmlReplace(trim($_POST["".$num.""]));
		$check=HtmlReplace(trim($_POST["".$check.""]));
        if($check==1)
        {
            if($pname!='')
            {   
			    $array=array('pname'=>$pname,'money'=>$money,'num'=>$num);
				$array2=array('money'=>$money,'num'=>$num);
				$db->update("ve123_moneycard_type",$array,"tid='$tid'");
				$db->update("ve123_moneycard_record",$array2,"ctid='$tid'");
            }
        }
        else
        {
			$db->query("delete from ve123_moneycard_type where tid='$tid'");
			$db->query("delete from ve123_moneycard_record where ctid='$tid' AND isexp<>-1 ");
        }
    }

    //增加新记录
    if(isset($check_new) && $pname_new!='')
    {
		$array3=array('pname'=>$pname_new,'money'=>$money_new,'num'=>$num_new);
		$db->insert("ve123_moneycard_type",$array3);  
    }
    echo "<script> alert('成功更新点卡产品分类表！'); </script>";
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk">
<meta http-equiv="x-ua-compatible" content="ie=7" />
<link href="css/admincp.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div class="container">
  <div class="floattop">
    <div class="itemtitle"><h3>点卡产品分类</h3>
      <ul class="tab1">
        <li class="current"><a href="cards_type.php"><span>分类列表</span></a></li>
      </ul>
     </div>
   </div>
 <div class="floattopempty"></div>
  <form name="form1" action="cards_type.php" method="post">
    <input type="hidden" name="dopost" value="save">
<table class="tb tb2 ">
    <tr class="partition" >
      <td width="26%" height="24" align="center" valign="top">产品名称</td>
      <td width="27%" align="center" valign="top">点数(金币数)</td>
      <td width="30%" align="center">价格</td>
      <td width="17%" align="center">状态</td>
    </tr>
	<?php
	$result=$db->query("select * from ve123_moneycard_type");
	$k=0;
	while($rs=$db->fetch_array($result))
	{   
	$k++;
     ?>
     <input type="hidden" name="ID_<?php echo $k?>" value="<?php echo $rs["tid"]?>">
     <tr align="center" bgcolor="#FFFFFF">
      <td height="24" valign="top">
      	<input name="pname_<?php echo $k?>" value="<?php echo $rs["pname"]?>" type="text" id="pname_<?php echo $k?>" style="width:90%" />
      </td>
      <td height="24" valign="top">
      	<input name="num_<?php echo $k?>" value="<?php echo $rs["num"]?>" type="text" id="num_<?php echo $k?>" style="width:80%" />
      </td>
      <td>
      	<input name="money_<?php echo $k?>" value="<?php echo $rs["money"]?>" type="text" id="money_<?php echo $k?>"  style="width:80%" />
       (元)
	   </td>
      <td>
	  <input name="check_<?php echo $k?>" type="checkbox" id="check_<?php echo $k?>"  value="1" checked='1' class='np' />
        保留
	   </td>
    </tr>
	<?php
	}
	?>
   <input type="hidden" name="idend" value="<?php echo $k?>">
    <tr >
      <td height="24" colspan="4" valign="top" bgcolor="#F9FCEF" style="padding-left:10px;"><strong>新增一个点卡产品类型：</strong></td>
    </tr>
    <tr height="24" align="center" bgcolor="#FFFFFF">
      <td valign="top">
      	<input name="pname_new" type="text" id="pname_new" class='pubinputs' style="width:90%" />
      </td>
      <td valign="top">
      	<input name="num_new" value="100" type="text" id="num_new" class='pubinputs' style="width:80%" />
      </td>
      <td valign="top">
      	<input name="money_new" type="text" id="money_new" class='pubinputs' style='width:80%' value="30" />
        (元)
      </td>
      <td align="center" bgcolor="#FFFFFF">
	  <input name="check_new" type="checkbox"  id="check_new" value="1" checked='1' class='np' />
        新增 </td>
    </tr>
    <tr>
      <td height="34" colspan="4" align="center" bgcolor="#F9FCEF">
      	<input type="submit" class="np coolbg" value="确定" />
      </td>
    </tr>
</table>

</form>
